Status: Resolved Priority: Should have
Author: Benno Weinzierl Category: Validation
Created: 2013-02-20 Assigned To: Benno Weinzierl
Updated: 2013-04-23 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Improve Error-Message when @var annotation in entity object is omitted
Description

When the @var annotation is missing in an entity object the ValidationResolver throws a notice:

Notice: Undefined index: var in .../TYPO3_Flow_Validation_ValidatorResolver_Original.php line 251

This tells nothing about the actual problem (that the @var in the comment of a property was forgotten).

Improve this errormessage to make the search for the error more FLOWing :-)

History
#1 - 2013-02-20 21:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18402

#2 - 2013-02-20 21:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18402

#3 - 2013-03-16 21:52 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18402

#4 - 2013-04-23 10:45 - Adrian Föder
- Status changed from Under Review to Resolved

resolved with https://review.typo3.org/#/c/19079/
